export declare class AbortedIdentityActionError extends Error {
}
export default class IdentityAuthClient {
    private accessToken;
    private tempClient?;
    private authEnabled;
    /**
     * Creates a new identity auth client
     * @param {string} identityUrl The URL to contact the identity server with.
     * When provided, this class will operate solely within memory, refusing to
     * persist any information such as tokens. Default null (not provided).
     */
    constructor(identityUrl?: string);
    private get identityClient();
    private get matrixClient();
    private writeToken;
    private readToken;
    getAccessToken({ check }?: {
        check?: boolean | undefined;
    }): Promise<string | null>;
    private checkToken;
    registerForToken(check?: boolean): Promise<string>;
}
